%define section   free
%define base_name commons-jxpath

Name:           jakarta-%{base_name}
Version:        1.1
Release:        1jpp
Epoch:          0
Summary:        Simple XPath interpreter

Group:          Development/Libraries/Java
License:        Apache Software License
URL:            http://jakarta.apache.org/commons/jxpath/
Source0:        http://ftp.leo.org/pub/comp/general/infosys/www/daemons/apache/dist/jakarta/commons/jxpath/source/commons-jxpath-1.1-src.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Distribution:   JPackage
Vendor:         JPackage Project

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5.32
BuildRequires:  ant >= 0:1.5.4, ant-optional >= 0:1.5.4, junit >= 0:3.8.1
BuildRequires:  xml-commons-apis >= 0:1.0
BuildRequires:  xerces-j2 >= 0:2.6.0
BuildRequires:  servletapi4 >= 0:4.0.4
BuildRequires:  jdom >= 0:1.0
BuildRequires:  jakarta-commons-beanutils >= 0:1.6.1
BuildRequires:  jakarta-commons-logging >= 0:1.0.3
BuildRequires:  jakarta-commons-collections >= 0:2.1
Requires:       xml-commons-apis >= 0:1.0
Requires:       xerces-j2 >= 0:2.6.0
Requires:       servletapi4 >= 0:4.0.4
Requires:       jdom >= 0:1.0
Requires:       jakarta-commons-beanutils >= 0:1.6.1
Requires:       jakarta-commons-logging >= 0:1.0.3
Requires:       jakarta-commons-collections >= 0:2.1

%description
Defines a simple interpreter of an expression language called XPath. 
JXPath applies  XPath  expressions to graphs of objects of all kinds: 
JavaBeans, Maps, Servlet contexts, DOM etc, including mixtures thereof.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
Javadoc for %{name}


%prep
%setup -q -n %{base_name}-%{version}
touch build.properties
echo jaxp.jaxp.jar = $(find-jar xml-commons-apis) >> build.properties 
echo jaxp.xslt.jar = $(find-jar xml-commons-apis) >> build.properties 
echo jdom.jar = $(find-jar jdom) >> build.properties 
echo servlet.jar = $(find-jar servletapi4) >> build.properties 
echo junit.jar = $(find-jar junit) >> build.properties 
echo commons-beanutils.jar = $(find-jar commons-beanutils) >> build.properties 
echo commons-collections.jar = $(find-jar commons-collections) >> build.properties 
echo commons-logging.jar = $(find-jar commons-logging) >> build.properties 

%build
export CLASSPATH=$(build-classpath \
xerces-j2 \
servletapi4 \
xml-commons-apis \
jdom \
commons-beanutils \
commons-logging \
commons-collections \
junit \
)
ant test jar javadoc


%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 644 dist/%{base_name}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
ln -s %{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{base_name}-%{version}.jar
ln -s %{base_name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{base_name}.jar
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink


%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(-,root,root,-)
%doc LICENSE.txt
%{_javadir}/*.jar

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}


%changelog
* Mon Jan 19 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.1-1jpp
- First JPackage release
